<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE struts PUBLIC
        "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
        "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
    <package name="operator" extends="operatorAuxiliary">

        <action name="viewProfile" class="viewProfileAction" method="view">
            <result name="success" type="tiles">profile.view</result>
        </action>

        <action name="profileViewOperator">
            <result name="success" type="tiles">operator.profile.view</result>
            <result name="error" type="redirect">error.action</result>
        </action>

        <action name="profileEditOperator">
            <result name="success" type="tiles">operator.profile.edit</result>
            <result name="error" type="redirect">error.action</result>
        </action>

        <action name="viewMainPage">
            <result name="success" type="tiles">operator.view</result>
            <result name="error" type="redirect">error.action</result>
        </action>

    </package>
</struts>

